<template>
  <div class="app-container">
    <el-tabs type="border-card" @tab-click="handleClick" v-model="activeName">

      <el-tab-pane type="border-card" name="one" >
        <span slot="label">
          <i class="el-icon-date"></i> 系统参数配置
        </span>
        <el-form
          style="margin-left: 20px;"
          label-position="left"
          :model="form"
          label-width="120px"
          :rules="rules"
          ref="form"
        >
          <el-form-item label="UID" prop="uid" v-if="showClass">
            <el-input v-model="form.uid" auto-complete="new-password" style="width: 400px"></el-input>
          </el-form-item>
          <el-form-item label="公告标题" prop="title">
            <el-input v-model="form.title" auto-complete="new-password" style="width: 400px" maxlength="10" show-word-limit></el-input>
          </el-form-item>

          <el-form-item label="公告内容" prop="content">
            <el-input  type="textarea" v-model="form.content" auto-complete="new-password" style="width: 800px" resize="none"
                       :autosize="{ minRows: 20, maxRows: 20 }"></el-input>
          </el-form-item>
          <el-form-item>
            <el-button type="primary" @click="submitForm()" >保 存</el-button>
          </el-form-item>

        </el-form>
      </el-tab-pane>

    </el-tabs>

  </div>
</template>

<script>
import { getAdvConfig, editAdvConfig } from "@/api/advConfig";

export default {
  data() {
    return {
      form: {

      },
      index: "0", // 当前激活页
      activeName: "one",
        showClass: false,
      areaDictList: [], //存储区域字典
      yesNoDictList: [], //是否字典
      openDictList: [], // 开启关闭字典
      picturePriorityDictList: [], //图片显示优先级字典
      editorModalDictList: [], // 文本编辑器字典列表
      searchModelDictList: [], // 搜索模式字典列表
      loadingInstance: null, // loading对象
      rules: {
          title: [
          {required: true, message: '公告标题不能为空', trigger: 'blur'},
        ],
          content: [
          {required: true, message: '公告内容不能为空', trigger: 'blur'},
        ]
      }
    };
  },
  watch: {

  },
  components: {
  },
  created() {
    this.getAdvConfigList()
  },
  methods: {
    handleClick(tab, event) {
      this.index = tab.index
      //设置富文本内容
      if (this.form.dashboardNotification) {
        this.$refs.editor.setData(this.form.dashboardNotification);
      }
    },
    getAdvConfigList: function() {
        getAdvConfig().then(response => {
        if (response.code == this.$ECode.SUCCESS) {
          if (response.data) {
            this.form = response.data;
          }
        }
      });
    },
    submitForm: function() {
      console.log("开始提交表单")
      this.$refs.form.validate((valid) => {
        if(!valid) {
          console.log("校验出错");
        } else {
          //获取文本编辑器中的内容【只有在切换到仪表盘通知的时候，才需要获取】
          if(this.index == "6") {
            this.form.dashboardNotification = this.$refs.editor.getData();
          }
            editAdvConfig(this.form).then(res => {
            if (res.code == this.$ECode.SUCCESS) {
              this.$commonUtil.message.success(res.message)
            } else {
              this.$commonUtil.message.error(res.message)
            }
          });
        }
      })
    },

  }
};
</script>

<style lang="scss">
  aside {
    background: #eef1f6;
    padding: 8px 24px;
    margin-bottom: 20px;
    border-radius: 2px;
    display: block;
    line-height: 32px;
    font-size: 16px;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;
    color: #2c3e50;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;

  a {
    color: #337ab7;
    cursor: pointer;

  &:hover {
     color: rgb(32, 160, 255);
   }
  }
  }
</style>

